﻿$(document).ready(function () {
    $("body").on("change", "#CustomerAndUserFields", function () {
        if ($("#CustomerAndUserFields").val() !== null && $("#CustomerAndUserFields").val() !== "") {
            addNewSubmitterFieldBox($("#CustomerAndUserFields").val());
            var optionSelected = $("option:selected", this);
            optionSelected.attr("disabled", "disabled");
            $("#CustomerAndUserFields").val(null).trigger("change");
            $('#CustomerAndUserFields').select2({ width: '100%' });
        }
    });

    function addNewSubmitterFieldBox(id) {
        $.ajax({
            url: RQ_URL + "/Admin/CallUser/AddField",
            type: "POST",
            data: JSON.stringify({
                id: id
            }),
            dataType: "html",
            contentType: "application/json; charset=utf-8",
            success: function (g) {
                $("#SubmitterBoxSettings").append(g);
            },
            error: function (error) { alert(error.responseText); },
            complete: function () {
            }
        });
    }

    $("#SubmitterBoxSettings").on("click", ".submitter-box-field .fa-trash", function () {
        var id = $(this).closest(".submitter-box-field").data("id");
        var optionSelected = $("#CustomerAndUserFields option[value='" + $(this).closest(".submitter-box-field").data("select2id") + "']");
        optionSelected.removeAttr("disabled");
        SearchableCombos();
        $(this).closest(".submitter-box-field").remove();
        $.ajax({
            url: RQ_URL + '/Admin/CallUser/DeleteField',
            data: {
                id: id
            },
            type: "POST"
        });
    });
});