﻿function displayOrHideNodes(id) {
    if ($("#arrow" + id).hasClass("arrow-right-tree")) {
        $("#arrow" + id).removeClass("arrow-right-tree");
        $("#arrow" + id).addClass("arrow-down-tree");
        $("#InventoryItem" + id).parent().children(":nth-child(2)").css("display", "block");
        $("#InventoryItem" + id).parent().children(":nth-child(3)").css("display", "block");
    }
    else {
        $("#arrow" + id).removeClass("arrow-down-tree");
        $("#arrow" + id).addClass("arrow-right-tree");
        $("#InventoryItem" + id).parent().children(":nth-child(2)").css("display", "none");
        $("#InventoryItem" + id).parent().children(":nth-child(3)").css("display", "none");
        Select(id);
    }
    if (selectId != id) {
        ReloadData(id);
    }
    selectId = id;
}

var selectId = -1;

function SetVisibleTree(id)
{
    var parent = $("#InventoryItem" + id).parent();
    if (parent.css("display") == "none") {
        parent.css("display", "block");
        parent.parent().children(":nth-child(3)").css("display", "block");
        parent.parent().children(":nth-child(2)").css("display", "block");
    }

    while (!(parent.attr("id") == "inventory-menu")) {
        parent = parent.parent();
        if (parent.css("display") == "none") {
            parent.css("display", "block");
            parent.parent().children(":nth-child(3)").css("display", "block");
            parent.parent().children(":nth-child(2)").css("display", "block");
        }
    }
    Select(id);
    ReloadData(id);
}

function Select(id)
{
    $("#inventory-menu").find(".selected-inventory").removeClass("selected-inventory");
    $("#arrow" + id).parent().addClass("selected-inventory");
    $("#inventory-administration").find(".selected-inventory").removeClass("selected-inventory");
}



function LoadPartialInventory()
{
    OnAjaxBegin(Localization_LoadingTickets);
    $.post(
    RQ_URL + '/Inventory/ConfigurationItem/PartialTableFields',
    {
        id: selectedId,
    },
    function (data) {
        $("#inventoryItems").html(data);
    },
    "html"
    )
    .error(function (error) { alert(error.responseText); })
    .success(function () {  })
    .done(function () { OnAjaxComplete(); if (selectedId != -1) { ReloadData(selectedId); } });
}

function LoadPlupload() {

    uploader = new plupload.Uploader({
        runtimes: 'html5,flash,silverlight',
        url: RQ_URL + '/Inventory/ConfigurationItem/AddAttachment',
        browse_button: 'pickfiles',
        container: 'containerAttachments',
        max_file_size: '100mb',
        chunk_size: '1mb',
        unique_names: false,
        multiple_queues: false,
        multipart_params: { identifierForAsyncAttachments: identifierForAsyncAttachments },
        flash_swf_url: RQ_URL + '/Scripts/plupload/Moxie.swf',
        silverlight_xap_url: RQ_URL + '/Scripts/plupload/Moxie.xap'
    });

    uploader.bind('Init', function (up, params) {
        $('#filelist').html("<ul id=\"filelistul\"></ul>");
    });

    uploader.init();

    uploader.bind('FilesAdded', function (up, files) {

        $.each(files, function (i, file) {
            $('#filelistul').append(
            '<li id="liFile' + file.id + '" class="text-with-hiding-buttons">' +
            '<span>' + file.name + ' <em>(' + formatSize(file.size) + ')</em></span> <b></b><a class="hiddenButton delete" href="javascript:void(0);" onclick="javascript:uploader.removeFile(uploader.getFile(\'' + file.id + '\')); $(\'#liFile' + file.id + '\').remove();" title="' + Localization_Remove + '"><i class="fa fa-times"></i></a>' + '</li>');
        });

        up.refresh(); // Reposition Flash/Silverlight
    });

    uploader.bind('UploadProgress', function (up, file) {
        $('#liFile' + file.id + " b").html(file.percent + "%");
    });

    uploader.bind('Error', function (up, err) {
        if (err.code == -600)
            $('#filelist').append('<div class="valid-error">' + Localization_Error + ': ' + Localization_FileSizeIsGreaterThan + ' 100 MiB' + (err.file ? ', ' + Localization_File + ': ' + err.file.name : "") + '</div>');
        else
            $('#filelist').append('<div class="valid-error">' + Localization_Error + ': ' + err.code + ', ' + Localization_Message + ': ' + err.message + (err.file ? ', ' + Localization_File + ': ' + err.file.name : "") + '</div>');

        up.refresh(); // Reposition Flash/Silverlight
    });

    var total_upload_files = 0;

    uploader.bind('QueueChanged', function (up, files) {
        total_upload_files = uploader.files.length;
    });

    uploader.bind('FileUploaded', function (up, file) {
        $('#liFile' + file.id + " b").html("100%");
        total_upload_files--;
        if (total_upload_files == 0) {
            filesUploaded = true;
            $("#formNewInventory").submit();
        }
    });
}

function LoadPicturePlupload() {

    pictureUpload = new plupload.Uploader({
        runtimes: 'html5,flash,silverlight',
        url: RQ_URL + '/Inventory/ConfigurationItem/AddPicture',
        browse_button: 'pickfilespicture',
        container: 'containerAttachmentsPicture',
        max_file_size: '100mb',
        chunk_size: '1mb',
        unique_names: false,
        multiple_queues: false,
        multipart_params: { identifierForAsyncAttachments: identifierForAsyncAttachments },
        flash_swf_url: RQ_URL + '/Scripts/plupload/Moxie.swf',
        silverlight_xap_url: RQ_URL + '/Scripts/plupload/Moxie.xap',
        filters: [
            { title: "Image files", extensions: "jpg,jpeg,gif,png" },
        ]

    });

    pictureUpload.bind('Init', function (up, params) {
        $('#filelistpicture').html("<ul id=\"filelistulpicture\"></ul>");
    });

    pictureUpload.init();

    pictureUpload.bind('FilesAdded', function (up, files) {

        $.each(files, function (i, file) {
            $('#filelistulpicture').append(
            '<li id="liFilepicture' + file.id + '" class="text-with-hiding-buttons">' +
            '<span>' + file.name + ' <em>(' + formatSize(file.size) + ')</em></span> <b></b><a class="hiddenButton delete" href="javascript:void(0);" onclick="javascript:uploader.removeFile(pictureUpload.getFile(\'' + file.id + '\')); $(\'#liFile' + file.id + '\').remove();" title="' + Localization_Remove + '"><i class="fa fa-times"></i></a>' + '</li>');
        });

        up.refresh(); // Reposition Flash/Silverlight
    });

    pictureUpload.bind('UploadProgress', function (up, file) {
        $('#liFilepicture' + file.id + " b").html(file.percent + "%");
    });

    pictureUpload.bind('Error', function (up, err) {
        if (err.code == -600)
            $('#filelistpicture').append('<div class="valid-error">' + Localization_Error + ': ' + Localization_FileSizeIsGreaterThan + ' 100 MiB' + (err.file ? ', ' + Localization_File + ': ' + err.file.name : "") + '</div>');
        else
            $('#filelistpicture').append('<div class="valid-error">' + Localization_Error + ': ' + err.code + ', ' + Localization_Message + ': ' + err.message + (err.file ? ', ' + Localization_File + ': ' + err.file.name : "") + '</div>');

        up.refresh(); // Reposition Flash/Silverlight
    });

    var total_upload_files_picture = 0;

    pictureUpload.bind('QueueChanged', function (up, files) {
        total_upload_files_picture = pictureUpload.files.length;
    });

    pictureUpload.bind('FileUploaded', function (up, file) {
        $('#liFilepicture' + file.id + " b").html("100%");
        total_upload_files_picture--;
        if (total_upload_files_picture == 0) {
            filesUploadedPictures = true;
            $("#formNewInventory").submit();
        }
    });
}

function formatSize(bytes) {
    if (bytes < 10 * 1024)
        return bytes + "&nbsp;B";
    else if (bytes < 10 * 1024 * 1024)
        return Math.round(bytes / 1024) + "&nbsp;kB";
    else
        return Math.round(bytes / 1024 / 1024) + "&nbsp;MB";
}