﻿function setCountFolder(count, id) {
    $("#Count" + id).text("(" + count + ")");
}

function visbleForEveryOne() {
    if ($("#RestrictVisibility").prop("checked")) {
        $(".visibilitySettings").show();
    }
    else {
        $(".visibilitySettings").hide();
        $($(".visibilitySettings")[0]).show();
        $($(".visibilitySettings")[1]).show();
    }
}

function inheritFromParentChange() {
    if ($("#Settings").prop("checked")) {
        $(".visibilitySettings").hide();
        if ($("#ParentId").val() == -1) {
            $($(".visibilitySettings")[0]).show();
            $($(".visibilitySettings")[1]).show();
            visbleForEveryOne();
        }
    }
    else {
        $(".visibilitySettings").show();
        visbleForEveryOne();
    }
}

function treeChange() {
    inheritFromParentChange();
    if ($("#ParentId").val() == -1) {
        $("#inheritFromParetnTr").hide();
    }
    else {
        $("#inheritFromParetnTr").show();
    }
}

function clearDialogForNewDocument() {
    $("#Name").val("");
    $("#Description").val("");
    $("#OperatorGroups").val("").trigger("change");
    $("#InternalGroups").val("").trigger("change");
    $("#Customers").val("").trigger("change");
    $("#Users").val("").trigger("change");
}

function loadTreeView() {
    $("#TreeView").empty();
    $("#TreeView").html("<div class='loading-32'></div>");
    $("#TreeView").load(RQ_URL + "/Document/ReloadTree", function () { if (selectedFolderId != -1) { showSelectedFolder(selectedFolderId); } });
}

function showDialogForNewDocument() {
    $("#NewFolder").html("<div class='loading-32'></div>");
    $("#NewFolder").dialog("open");
    $("#NewFolder").load(RQ_URL + "/Document/NewOrEditFolder", function () {
        $("#NewFolder").dialog("close");
        $("#NewFolder").dialog("open");
        $("#ParentId").trigger("change");
        visbleForEveryOne();
    });
}

function showOrHideTree(id) {
    if ($("#arrow" + id).hasClass("arrow-right-tree")) {
        $("#arrow" + id).removeClass("arrow-right-tree");
        $("#arrow" + id).addClass("arrow-down-tree");
        $("#tree" + id).children(":nth-child(2)").css("display", "block");
    }
    else {
        $("#arrow" + id).removeClass("arrow-down-tree");
        $("#arrow" + id).addClass("arrow-right-tree");
        $("#tree" + id).children(":nth-child(2)").css("display", "none");
    }
}

function editTree(id) {
    $("#NewFolder").html("<div class='loading-32'></div>");
    $("#NewFolder").dialog("open");
    $("#NewFolder").load(RQ_URL + "/Document/NewOrEditFolder/" + id, function () {
        $("#NewFolder").dialog("close");
        $("#NewFolder").dialog("open");
        $("#ParentId").trigger("change");
        visbleForEveryOne();
    });
}

function showSelectedFolder(id) {
    $("#TreeView").find(".btn-default").css("border-color", "#F5F6F7");
    $("#TreeView").find(".btn-default").css("background-color", "#F5F6F7");
    $(".selected-knowledge").removeClass("selected-knowledge");
    $("#treeText" + id).addClass("selected-knowledge");
    $("#treeText" + id).find(".btn-default").css("border-color", "#e8e8e8");
    $("#treeText" + id).find(".btn-default").css("background-color", "#e8e8e8");
    selectedFolderId = id;
}

function selectFolder(id) {
    showSelectedFolder(id);
    OnAjaxBegin(Localization_Document_LoadingDocuments);
    $("#Documents").empty();
    $("#Documents").load(RQ_URL + '/Document/GetDocuments/' + id, function () { OnAjaxComplete(); });
}

function newFolder(id) {
    $("#NewFolder").html("<div class='loading-32'></div>");
    $("#NewFolder").dialog("open");
    $("#NewFolder").load(RQ_URL + "/Document/NewOrEditFolder?rootId=" + id, function () {
        $("#NewFolder").dialog("close");
        $("#NewFolder").dialog("open");
        $("#ParentId").trigger("change");
        visbleForEveryOne();
    });
}

function deleteDocument(id) {
    deleteDocumentId = id;
    $(".deleteLink").tooltipBS('hide');
    $("#confirm-delete-document").dialog("open");
}

function deleteTree(id) {
    deleteId = id;
    $("#dialog-confirm").dialog("open");
}

function changeIconEvent() {
    deleteIcon = false;
    changeIcon = true;
    $(".remove-file").show();
}

function removeIcon() {
    $("#UpdateIcon").val("");
    deleteIcon = true;
    changeIcon = false;
}

function updateDocument(id, folderId, name, date, time, hasImage, type, link, element) {
    $(".vendorsEditValidation").hide();
    $(".vendorsDateEditValidation").hide();
    $(".vendorsDateFormatEditValidation").hide();
    $("#UpdateLoadingFiles").hide(); 
    $("#UpdateFileError").hide();
    $(".vendorsLinkEditUrlValidation").hide();
    $(".vendorsLinkEditValidation").hide();
    deleteIcon = false;
    changeIcon = false;
    $("#UpdateIcon").val("");
    if (hasImage) {
        $(".remove-file").show();
    }
    else {
        $(".remove-file").hide();
    }
    if (type == 5) {
        $(".link-type").show();
    }
    else {
        $(".link-type").hide();
    }
    $("#UpdateLink").val(link);
    $("#UpdateType").val(type);
    $("#UpdateFolderId").val(folderId);
    $("#UpdateDocumentId").val(id);
    $("#UpdateName").val(name);
    //var parsedDate = $.datepicker.parseDate('yy-mm-dd', date);
    var parsedDate = new Date(date);
    $("#UpdateDateCreateFile").datepicker("setDate", parsedDate);
    $("#UpdateDateTimeCreateFile").timepicker("setTime", time);
    $("#UpdateDescription").val($(element).attr("data-description"));
    $("#confirm-update-document").dialog("open");
}

function formatSize(bytes) {
    if (bytes < 10 * 1024)
        return bytes + "&nbsp;B";
    else if (bytes < 10 * 1024 * 1024)
        return Math.round(bytes / 1024) + "&nbsp;kB";
    else
        return Math.round(bytes / 1024 / 1024) + "&nbsp;MB";
}

function launchOneDrivePicker() {
    var pickerOptions = {
        linkType: "webLink",
        multiSelect: true,
        openInNewWindow: true,
        success: function (files) {
            OnAjaxBegin("Ukládám...");
            var count = files.values.length;
            $.each(files.values, function (index, value) {
                var url = value.link;
                var fileName = value.fileName;
                var iconUrl = "";
                if (value.thumbnails != null) {
                    for (var i = 0; i < value.thumbnails.length; i++) {
                        var iconUrl = value.thumbnails[i];
                    }
                }
                var size = value.size;
                $.ajax({
                    url: RQ_URL + "/Document/SaveOneDriveFile",
                    type: "POST",
                    data: { folderId: folderId, fileName: fileName, contentLength: size, url: url, iconUrl: iconUrl },
                    success: function (data) {
                        if (count == (index + 1)) {
                            $('#jqGridDocument').trigger("reloadGrid");
                            OnAjaxComplete();
                        }
                    },
                })
                .error(function (error) {
                    if (typeof error.responseText !== 'undefined') { alert(error.responseText); }
                });
            });
        },
        cancel: function () { /* cancel handler */ },
        error: function (e) { /* error handler */ }
    }
    OneDrive.open(pickerOptions);
}

function launchDropBox() {
    var options = {

        // Required. Called when a user selects an item in the Chooser.
        success: function (files) {
            OnAjaxBegin("Ukládám...");
            var count = files.length;
            $.each(files, function (index, value) {
                var url = value.link;
                var fileName = value.name;
                var iconUrl = value.icon;
                var size = value.bytes;
                $.ajax({
                    url: RQ_URL + "/Document/SaveDropBoxFile",
                    type: "POST",
                    data: { folderId: folderId, fileName: fileName, contentLength: size, url: url, iconUrl: iconUrl },
                    success: function (data) {
                        if (count == (index + 1)) {
                            $('#jqGridDocument').trigger("reloadGrid");
                            OnAjaxComplete();
                        }
                    },
                })
                .error(function (error) {
                    if (typeof error.responseText !== 'undefined') { alert(error.responseText); }
                });
            });
        },

        // Optional. Called when the user closes the dialog without selecting a file
        // and does not include any parameters.
        cancel: function () {

        },

        // Optional. "preview" (default) is a preview link to the document for sharing,
        // "direct" is an expiring link to download the contents of the file. For more
        // information about link types, see Link types below.
        linkType: "preview", // or "direct"

        // Optional. A value of false (default) limits selection to a single file, while
        // true enables multiple file selection.
        multiselect: true, // or true

        // Optional. This is a list of file extensions. If specified, the user will
        // only be able to select files with these extensions. You may also specify
        // file types, such as "video" or "images" in the list. For more information,
        // see File types below. By default, all extensions are allowed.
        extensions: ['*'],
    };
    Dropbox.choose(options);
}